Which browser and operating system should I use?

 

Update - Windows 10:

On Thursday, December 1, 2016, HUIT will begin deploying new PCs with Windows 10. We have thoroughly tested Windows 10 with Harvard's common applications and are excited to now offer this updated operating system and its benefits to our customers. You can find more information about Windows 10 and some quick-help videos at:
 
https://quickhelp.com/harvard/#/topics/431/categories
 
We will continue to support Windows 7. If you have any questions, please contact the HUIT Service Desk at (617)495-7777 or ithelp@harvard.edu.

 

Update macOS Sierra:

On September 20, 2016, Apple released macOS Sierra (10.2). Starting December 5, HUIT is pleased to announce support for all new Apple desktops and laptops equipped with macOS Sierra. Since some older applications do not properly function with 10.12 and the upgrade process may render your computer non-operational, HUIT recommends that you do not upgrade your existing Apple computer to the Sierra operating system without contacting ithelp@harvard.edu first. For a list of supported applications, see macOS Sierra - Supported Applications.

___________________________________________________________________________________________________

HUIT fully supports  OS X 10.8 (Mountain Lion), OS X 10.9 (Mavericks), OS X 10.10 (Yosemite), OS X 10.11 (El Capitan) Windows 7 SP1, Windows 8.1 and Windows 10.  Although HUIT supports desktops running Windows Vista it has not been tested with with FAS provided software and is not recommended.

Important Note: Microsoft has terminated support for Windows XP as of April 8, 2014. Any remaining Windows XP computers that have not already been identified (upgraded to Windows 7, removed from Harvard's network or isolated) should be brought to the attention of the HUIT Service Desk, x5-7777.

Browsers:

HUIT also provides broad support for currently-patched versions of Internet Explorer 10, 11, Chrome, Safari  and Firefox.  Given the frequency of browser updates, however, from time to time there may be incompatibilities between a given application and a particular browser release.  Similarly, as FAS applications are updated to keep pace with changes in technology, these applications may become incompatible with older browser versions. Chrome, and Safari have been found to be incompatible with some FAS applications.  However, HUIT has not tested all of these browsers with all FAS applications. 

In summary, Windows 7 SP1, Windows 8.1, Windows 10, Mac OS X 10.8, OS X 10.9, OS X 10.10, OS X 10.11, macOS 10.12 and currently patched versions of IE 10, IE 11 Safari, Chrome or Firefox should be used with FAS applications.